Forums

Home » Liferay IDE » English

Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Jan Kosecki
Errors when deploying portlets
November 20, 2012 2:44 AM
Answer

Jan Kosecki

Rank: New Member

Posts: 16

Join Date: October 29, 2012

Recent Posts

Hello,
I'm trying to deploy the portlets I have obtained from the previous developer but I do get the following error:

C:\LDS\liferay-plugins\build-common-plugin.xml:399: The following error occurred while executing this line:
C:\LDS\liferay-plugins\build-common.xml:94: java.lang.UnsupportedClassVersionError: com/sun/tools/javac/Main : Unsupported major.minor version 51.0

The compilence level is set to 1.7, both Java and Ant are of the newest version.

What can I do to solve that problem?

OK, problem fixed. Not sure what has happened but after some changes and restarts, it worked.
Gregory Amerson
RE: Errors when deploying portlets
November 29, 2012 10:01 PM
Answer

Gregory Amerson

LIFERAY STAFF

Rank: Liferay Master

Posts: 974

Join Date: February 16, 2010

Recent Posts

Thanks for following up, glad it is fixed now.
Brandt Solovij
RE: Errors when deploying portlets
December 4, 2012 9:47 AM
Answer

Brandt Solovij

Rank: New Member

Posts: 14

Join Date: March 23, 2012

Recent Posts

Jan Kosecki:
Hello,
I'm trying to deploy the portlets I have obtained from the previous developer but I do get the following error:

C:\LDS\liferay-plugins\build-common-plugin.xml:399: The following error occurred while executing this line:
C:\LDS\liferay-plugins\build-common.xml:94: java.lang.UnsupportedClassVersionError: com/sun/tools/javac/Main : Unsupported major.minor version 51.0

The compilence level is set to 1.7, both Java and Ant are of the newest version.

What can I do to solve that problem?

OK, problem fixed. Not sure what has happened but after some changes and restarts, it worked.



running into the same problem.

environment info :

-java version "1.7.0_06"
Java(TM) SE Runtime Environment (build 1.7.0_06-b23)
Java HotSpot(TM) 64-Bit Server VM (build 23.2-b09, mixed mode)

-Apache Ant(TM) version 1.8.2 compiled on June 20 2012 ( default mac OS x install )

-liferay-portal-6.1.10-ee-ga1

-mysql-5.5.28-osx10.6-x86_64


Remote server connection is fine within the Eclipse IDE. Portlet authoring is also fine. Drag n drop deploy to the server runs fine for a while this hits


[PortletBagFactory:123] java.lang.UnsupportedClassVersionError: com/liferay/mypackage/roughs/ExamplePortlet : Unsupported major.minor version 51.0 (unable to load class com.liferay.mypackage.roughs.ExamplePortlet)
java.lang.UnsupportedClassVersionError: com/liferay/mypackage/roughs/ExamplePortlet : Unsupported major.minor version 51.0 (unable to load class com.liferay.mypackage.roughs.ExamplePortlet)



Thanks in advance



edit after a little work - looks like reverting to 1.6 may have solved the issue.
David H Nebinger
RE: Errors when deploying portlets
December 4, 2012 1:24 PM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 8593

Join Date: September 1, 2006

Recent Posts

Brandt Solovij:
java version "1.7.0_06"
Java(TM) SE Runtime Environment (build 1.7.0_06-b23)
Java HotSpot(TM) 64-Bit Server VM (build 23.2-b09, mixed mode)

edit after a little work - looks like reverting to 1.6 may have solved the issue.


Surprised the OP got it to work. Java 7 is not yet supported in Liferay AFAIK...
Luigi Candita
RE: Errors when deploying portlets
February 26, 2013 3:32 AM
Answer

Luigi Candita

Rank: Junior Member

Posts: 27

Join Date: May 4, 2009

Recent Posts

Gregory Amerson:
Thanks for following up, glad it is fixed now.


Fantastic that in Liferay many things (and many posts on forum) ends with similar phrases like as:

OK, problem fixed. Not sure what has happened but after some changes and restarts, it worked.


8